Connect a user
curl --request GET \
--url https://api.vegaminds.com/oauth/authorizeimport requests
url = "https://api.vegaminds.com/oauth/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vegaminds.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>Authorization
Connect a user
Not called by your server: send the user’s browser here to start a connection, as in step 1 of the
authorization guide. Vega shows its login and consent screen, then redirects the browser to your
redirect_uri.
If client_id is unknown or redirect_uri is not registered, Vega shows the user an error page and does not
redirect. Any other problem is reported to your redirect_uri.
GET
/
authorize
Connect a user
curl --request GET \
--url https://api.vegaminds.com/oauth/authorizeimport requests
url = "https://api.vegaminds.com/oauth/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vegaminds.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>Query Parameters
Response
To Vega's login and consent screen. Once the user decides, Vega redirects the browser to your
redirect_uri with code, state and iss, or with error, error_description, state and iss.
error is access_denied when the user declines, and otherwise invalid_request, invalid_scope or
unsupported_response_type.

